Return a list of clients
Permission level: read
GET /clients
Operation id: ClientService_ListClients
Tags: ClientService
Parameters
Query parameters
| Name | Type | Required | Description |
|---|---|---|---|
genericFilter | string | No | Generic filter for clients fields (client_name, client_id, first_name, last_name) If it contains a whitespace, it splits the text and filter by both words, Required: false |
pageSize | integer (int32) | No | Page Size, Default: 10, Required: false |
pageToken | string | No | MongoDB Field, describes the encoded page token for page traversal, Required: false |
sortField | string | No | sort field, Default: client_name, Required: false |
sortType | string | No | Sort Type for the results, Default: ASC, Required: false |
tenantId | string | No | Tenant of the clients, Required: false |
Security
- Authorization (apiKey)
- Bearer token
Responses
200 — A successful response.
Content type: application/json
default — An unexpected error response.
Content type: application/json
Response models
200 — A successful response.
Content type: application/json
Schema
| Property | Type | Required | Description |
|---|---|---|---|
tokensMetadata | array | No | |
nextPageToken | string | No |
{
"type": "object",
"properties": {
"tokensMetadata": {
"type": "array",
"items": {
"type": "object",
"properties": {
"clientName": {
"type": "string"
},
"clientId": {
"type": "string"
},
"tenantId": {
"type": "string"
},
"createTime": {
"type": "string",
"format": "date-time"
},
"lastUpdate": {
"type": "string",
"format": "date-time"
},
"expirationTime": {
"type": "string",
"format": "date-time"
},
"firstName": {
"type": "string"
},
"lastName": {
"type": "string"
},
"secret": {
"type": "string"
},
"clientDescription": {
"type": "string"
},
"tokenTtl": {
"type": "string",
"format": "int64"
},
"tokenTtlUnit": {
"type": "string"
},
"primarySite": {
"type": "string"
},
"assignedRoles": {
"type": "array",
"items": {
"type": "object"
}
},
"status": {
"type": "string",
"enum": [
"NONE",
"ACTIVE",
"INACTIVE"
],
"default": "NONE"
},
"clientTtl": {
"type": "string",
"format": "int64"
},
"clientTtlUnit": {
"type": "string"
}
}
}
},
"nextPageToken": {
"type": "string"
}
}
}
default — An unexpected error response.
Content type: application/json
Schema
| Property | Type | Required | Description |
|---|---|---|---|
code | integer (int32) | No | |
message | string | No | |
details | array | No |
{
"type": "object",
"properties": {
"code": {
"type": "integer",
"format": "int32"
},
"message": {
"type": "string"
},
"details": {
"type": "array",
"items": {
"type": "object",
"properties": {
"@type": {
"type": "string"
}
}
}
}
}
}